<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useUIStore } from '~~/store/UI'
import { useZoomClientStore } from '~~/store/zoomClient'

const zoomClient = useZoomClientStore()
const { clientWindow } = storeToRefs(zoomClient)
const ui = useUIStore()
const { isDesign7, overlay, isMobile } = storeToRefs(ui)
const cssStyleSheet = computed(() =>
  `#zmmtg-root{
    display: ${clientWindow.value ? 'block' : 'none'};
    ${isDesign7.value ? '' : 'z-index: 40;'}
  }
  #wc-footer{
    ${(isDesign7.value && !overlay.value) ? 'transform: translateY(100%)' : ''}
  }
  [feature-type="settings"]{
    ${isMobile.value ? 'display: none !important;' : ''}
  }
  .audio-option-menu__pop-menu > li:last-child{    
    ${isMobile.value ? 'display: none !important;' : ''}
  }
  .video-option-menu__pop-menu > li:last-child{    
    ${isMobile.value ? 'display: none !important;' : ''}
  }
  .video-option-menu__pop-menu > li:nth-last-child(3){    
    ${isMobile.value ? 'display: none !important;' : ''}
  }
  `
  ,
)
useStyleTag(cssStyleSheet)
</script>

<template>
  <p />
</template>

<style lang="scss">
ul.full-screen-widget__pop-menu.dropdown-menu{
  transform: translateX(-60%);
  background-color: rgba(0,0,0,.8) !important;
  a[role="menuitem"] {
    color: rgba(255,255,255,.8);
  }
  a[role="menuitem"]:hover {
    background-color: rgba(255,255,255,.1);
    color: rgba(255,255,255,.8);
  }
}
#zmmtg-root {
  display: block;
  .meeting-app {
    pointer-events: none;

    * {
      pointer-events: auto;
    }
  }

  .loading-main {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .meeting-info-container:has(button[aria-label="Meeting information"]) {
    display: none;
  }

  background-color: #111111;

  .Pane.horizontal.Pane2,
  .Pane.Pane1 {
    transform-origin: 50% 0%;
  }

  .footer__leave-btn-container {
    display: none;
  }

  #wc-footer {
    .footer__inner {
      justify-content: start !important;
    }
  }

  //remove join dialog
  .join-dialog {
    display: none;
  }

  [feature-type='newLTT'],
  [feature-type='chat'],
  [feature-type='more'],
  [feature-type='participants']
  {
    display: none !important;
  }

  // hide participant went not pop out
  #wc-container-right:has(.participants-section-container) {
    display: none !important;
  }

}

div:has(>svg>path[d^="M0 5.2c0-1.12"]) {
  display: none !important;
}

div:has(>button[aria-label="More managing participants options"]) {
  display: none;
}

.video-avatar__avatar:hover {

  .video-avatar__mute-button,
  [data-no-focus-lock="true"] {
    display: none;
  }
}

// remove z index react modal
.ReactModal__Overlay.ReactModal__Overlay--after-open {
  z-index: 100 !important;
}
.zm-btn--primary {
  background-color: #3b82f6 !important;
}
// remove rasie hand noti
#aria-notify-area {
  display: none !important;
}

// loading
#wc-loading {
  position: absolute !important;
}

// remove full screen
.full-screen-widget {
  display: none !important;
}

// change text
button[arialabel="join audio"]{
 > span{
  font-size: 0;
  &::after{
    content: '音声に参加';
    font-size: 12px;
  }
 }
}

button[arialabel="start sending my video"]{
 > span{
  font-size: 0;
  &::after{
    content: 'ビデオを開始';
    font-size: 12px;
  }
 }
}
button[arialabel="stop sending my video"]{
 > span{
  font-size: 0;
  &::after{
    content: 'ビデオを停止';
    font-size: 12px;
  }
 }
}
button[aria-label="Settings"]{
 > span{
  font-size: 0;
  &::after{
    content: '設定';
    font-size: 12px;
  }
 }
}
.footer-button__wrapper{
  display: flex;
  flex-direction: row;
}

.ReactModal__Content.ReactModal__Content--after-open{
  max-width: 95vw;
  >.zm-modal-legacy{
    max-width: 100%;
  }
}
</style>
